Bug 40565 - google mail notifications do not work without an additional call
Summary: google mail notifications do not work without an additional call
Status: RESOLVED FIXED
Alias: None
Product: Telepathy
Classification: Unclassified
Component: gabble (show other bugs)
Version: git master
Hardware: Other All
: medium normal
Assignee: Telepathy bugs list
QA Contact: Telepathy bugs list
URL:
Whiteboard:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2011-09-01 12:59 UTC by Jussi Kukkonen [inactive]
Modified: 2011-09-28 09:56 UTC (History)
2 users (show)

See Also:
i915 platform:
i915 features:


Attachments
mail notification: ensure google notification setting is correct (4.12 KB, patch)
2011-09-01 13:05 UTC, Jussi Kukkonen [inactive]
Details | Splinter Review
mail notification: recognize "google:setting" namespace (1.85 KB, patch)
2011-09-01 14:14 UTC, Jussi Kukkonen [inactive]
Details | Splinter Review
mail notification: ensure google notification setting is correct (3.78 KB, patch)
2011-09-01 14:15 UTC, Jussi Kukkonen [inactive]
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jussi Kukkonen [inactive] 2011-09-01 12:59:17 UTC
I hit the same thing that was discussed in
http://bugs.meego.com/show_bug.cgi?id=8980: Google servers just wouldn't send  "new-mail" notifications.

Turns out the culprit is another google xmpp extension: this is needed before the server sends any notifications:
<iq type='set' id='user-setting-3'>
  <usersetting xmlns='google:setting'>
    <mailnotifications value='true'/>
  </usersetting>
</iq>

https://code.google.com/apis/talk/jep_extensions/usersettings.html#3

I've got a patch, will attach in a moment.
Comment 1 Jussi Kukkonen [inactive] 2011-09-01 13:05:52 UTC
Created attachment 50826 [details] [review]
mail notification: ensure google notification setting is correct
Comment 2 Jussi Kukkonen [inactive] 2011-09-01 13:25:41 UTC
Actually to be _really_ correct we should check for NS_GOOGLE_SETTINGS in connection.c:connection_disco_cb() and define GABBLE_CONNECTION_FEATURES_GOOGLE_SETTINGS...

I can fix that (but not right now, my dogs demand attention).
Comment 3 Nicolas Dufresne 2011-09-01 13:31:40 UTC
(In reply to comment #2)
> Actually to be _really_ correct we should check for NS_GOOGLE_SETTINGS in
> connection.c:connection_disco_cb() and define
> GABBLE_CONNECTION_FEATURES_GOOGLE_SETTINGS...
> 
> I can fix that (but not right now, my dogs demand attention).

Fair enough, but asside that this patch looks good. Let me know when it's ready.
Comment 4 Jussi Kukkonen [inactive] 2011-09-01 14:14:41 UTC
Created attachment 50828 [details] [review]
mail notification: recognize "google:setting" namespace
Comment 5 Jussi Kukkonen [inactive] 2011-09-01 14:15:26 UTC
Created attachment 50829 [details] [review]
mail notification: ensure google notification setting is correct

Ok, these two patches should do it.
Comment 6 Jussi Kukkonen [inactive] 2011-09-05 03:02:37 UTC
Patches are in git as well just in case that fits your work flow better:

git://github.com/jku/telepathy-gabble.git (branch bug40565)
Comment 7 Nicolas Dufresne 2011-09-06 15:46:06 UTC
Merged upstream. Will be in next unstable 0.13.6 release. If you need it in stable .12 release let us know, we will discuss this possibility.
Comment 8 Nick Richards 2011-09-27 03:44:52 UTC
We need this in a stable .12 release.
Comment 9 Nicolas Dufresne 2011-09-27 11:39:44 UTC
Ok, it's in .12 branch now. Will, let us know when there is a new release.
Comment 10 Will Thompson 2011-09-28 09:56:35 UTC
I have released 0.12.7 with this fix: http://lists.freedesktop.org/archives/telepathy/2011-September/005736.html


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.